Digital wallets
GET https://omnes.link/api/digital-wallets/
curl --request GET \
--url 'https://omnes.link/api/digital-wallets/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://omnes.link/api/digital-wallets/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| domain_id | Opcional Inteiro | Domínio |
| link_id | Opcional Inteiro | Link ID |
| search | Opcional String | A string de pesquisa. |
| search_by | Opcional String | Qual campo você está pesquisando. Os valores permitidos são: name. |
| datetime_field | Opcional String | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional String | Qual campo ordenar os resultados. Os valores permitidos são: digital_wallet_id, domain_id, link_id, pageviews, last_datetime, name, datetime. |
| order_type | Opcional String | A ordem dos resultados. Os valores permitidos são: ASC para ordem crescente e DESC para ordem decrescente. |
| page | Opcional Inteiro | O número da página da qual você deseja resultados. O padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "CyberOmnes",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "[email protected]",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-06-23 11:58:33"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://omnes.link/api/digital-wallets?page=1",
"last": "https://omnes.link/api/digital-wallets?page=1",
"next": null,
"prev": null,
"self": "https://omnes.link/api/digital-wallets?page=1"
}
}
GET https://omnes.link/api/digital-wallets/{digital_wallet_id}
curl --request GET \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "CyberOmnes",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "[email protected]",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-06-23 11:58:33"
}
}
POST https://omnes.link/api/digital-wallets
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Obrigatório String | Internal name used to identify this wallet card in your account. |
| title | Obrigatório String | Main text displayed on the Digital Wallet card. |
| location_url | Obrigatório String | This URL is used for the Digital Wallet QR code and main action. |
| link_id | Opcional Inteiro | Optionally choose one of your existing links. Its destination URL will be used automatically. |
| subtitle | Opcional String | Optional supporting text shown below the title. |
| logo | Opcional Arquivo | Logo |
| image | Opcional Arquivo | Wide banner shown at the top of the Digital Wallet card. Recommended aspect ratio: 3:1. |
| background_color | Opcional String | Background color |
| phone | Opcional String | Phone number |
| Opcional String | ||
| website | Opcional String | Website |
curl --request POST \
--url 'https://omnes.link/api/digital-wallets' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Business card' \
--form 'title=PHP Developer' \
--form 'subtitle=CyberOmnes' \
--form 'location_url=https://example.com' \
--form 'background_color=#111827' \
--form 'email=[email protected]'
--url 'https://omnes.link/api/digital-wallets' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Business card' \
--form 'title=PHP Developer' \
--form 'subtitle=CyberOmnes' \
--form 'location_url=https://example.com' \
--form 'background_color=#111827' \
--form 'email=[email protected]'
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "CyberOmnes",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "[email protected]",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-06-23 11:58:33"
}
}
POST https://omnes.link/api/digital-wallets/{digital_wallet_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| name | Opcional String | Internal name used to identify this wallet card in your account. |
| title | Opcional String | Main text displayed on the Digital Wallet card. |
| location_url | Opcional String | This URL is used for the Digital Wallet QR code and main action. |
| link_id | Opcional Inteiro | Optionally choose one of your existing links. Its destination URL will be used automatically. |
| subtitle | Opcional String | Optional supporting text shown below the title. |
| logo | Opcional Arquivo | Logo |
| image | Opcional Arquivo | Wide banner shown at the top of the Digital Wallet card. Recommended aspect ratio: 3:1. |
| background_color | Opcional String | Background color |
| phone | Opcional String | Phone number |
| Opcional String | ||
| website | Opcional String | Website |
curl --request POST \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated business card' \
--form 'title=Senior PHP Developer'
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated business card' \
--form 'title=Senior PHP Developer'
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Updated business card",
"pageviews": 0,
"settings": {
"title": "Senior PHP Developer",
"subtitle": "CyberOmnes",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "[email protected]",
"website": "https://example.com"
},
"last_datetime": "2026-06-23 11:58:33",
"datetime": "2026-06-23 11:58:33"
}
}
DELETE https://omnes.link/api/digital-wallets/{digital_wallet_id}
curl --request DELETE \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://omnes.link/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \